/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.eclipsenls.valueobject;

import java.util.List;

/**
 * BlancoEclipseNls のなかで利用されるValueObjectです。
 */
public class BlancoEclipseNlsStructure {
    /**
     * Eclipse NLS 定義IDを指定します。必須項目です。
     *
     * フィールド: [name]。
     */
    private String fName;

    /**
     * パッケージ名を指定します。必須項目です。
     *
     * フィールド: [package]。
     */
    private String fPackage;

    /**
     * メッセージ定義の説明を記載します。
     *
     * フィールド: [description]。
     */
    private String fDescription;

    /**
     * プロパティファイルの基底名。
     *
     * フィールド: [baseName]。
     */
    private String fBaseName;

    /**
     * フィールドを保持するリスト。
     *
     * フィールド: [fieldList]。
     * デフォルト: [new java.util.ArrayList<blanco.eclipsenls.valueobject.BlancoEclipseNlsFieldStructure>()]。
     */
    private List<blanco.eclipsenls.valueobject.BlancoEclipseNlsFieldStructure> fFieldList = new java.util.ArrayList<blanco.eclipsenls.valueobject.BlancoEclipseNlsFieldStructure>();

    /**
     * フィールド [name] の値を設定します。
     *
     * フィールドの説明: [Eclipse NLS 定義IDを指定します。必須項目です。]。
     *
     * @param argName フィールド[name]に設定する値。
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド [name] の値を取得します。
     *
     * フィールドの説明: [Eclipse NLS 定義IDを指定します。必須項目です。]。
     *
     * @return フィールド[name]から取得した値。
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [package] の値を設定します。
     *
     * フィールドの説明: [パッケージ名を指定します。必須項目です。]。
     *
     * @param argPackage フィールド[package]に設定する値。
     */
    public void setPackage(final String argPackage) {
        fPackage = argPackage;
    }

    /**
     * フィールド [package] の値を取得します。
     *
     * フィールドの説明: [パッケージ名を指定します。必須項目です。]。
     *
     * @return フィールド[package]から取得した値。
     */
    public String getPackage() {
        return fPackage;
    }

    /**
     * フィールド [description] の値を設定します。
     *
     * フィールドの説明: [メッセージ定義の説明を記載します。]。
     *
     * @param argDescription フィールド[description]に設定する値。
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド [description] の値を取得します。
     *
     * フィールドの説明: [メッセージ定義の説明を記載します。]。
     *
     * @return フィールド[description]から取得した値。
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [baseName] の値を設定します。
     *
     * フィールドの説明: [プロパティファイルの基底名。]。
     *
     * @param argBaseName フィールド[baseName]に設定する値。
     */
    public void setBaseName(final String argBaseName) {
        fBaseName = argBaseName;
    }

    /**
     * フィールド [baseName] の値を取得します。
     *
     * フィールドの説明: [プロパティファイルの基底名。]。
     *
     * @return フィールド[baseName]から取得した値。
     */
    public String getBaseName() {
        return fBaseName;
    }

    /**
     * フィールド [fieldList] の値を設定します。
     *
     * フィールドの説明: [フィールドを保持するリスト。]。
     *
     * @param argFieldList フィールド[fieldList]に設定する値。
     */
    public void setFieldList(final List<blanco.eclipsenls.valueobject.BlancoEclipseNlsFieldStructure> argFieldList) {
        fFieldList = argFieldList;
    }

    /**
     * フィールド [fieldList] の値を取得します。
     *
     * フィールドの説明: [フィールドを保持するリスト。]。
     * デフォルト: [new java.util.ArrayList<blanco.eclipsenls.valueobject.BlancoEclipseNlsFieldStructure>()]。
     *
     * @return フィールド[fieldList]から取得した値。
     */
    public List<blanco.eclipsenls.valueobject.BlancoEclipseNlsFieldStructure> getFieldList() {
        return fFieldList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.eclipsenls.valueobject.BlancoEclipseNlsStructure[");
        buf.append("name=" + fName);
        buf.append(",package=" + fPackage);
        buf.append(",description=" + fDescription);
        buf.append(",baseName=" + fBaseName);
        buf.append(",fieldList=" + fFieldList);
        buf.append("]");
        return buf.toString();
    }
}
